summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2014-05-02 18:39:42 -0300
committerSilvio Rhatto <rhatto@riseup.net>2014-05-02 18:39:42 -0300
commitd113c7373d9608b6072e7d5b7961ba59c7ef0ce5 (patch)
treee500787066b8f43d7dcced0985412359cb4d08b4
parent95a2dfc26b0aeb7b8b916dd6f66fcf81dd9cd7d0 (diff)
downloadhydra-d113c7373d9608b6072e7d5b7961ba59c7ef0ce5.tar.gz
hydra-d113c7373d9608b6072e7d5b7961ba59c7ef0ce5.tar.bz2
Adding list-sites action (2)
-rwxr-xr-xshare/hydra/list-sites38
1 files changed, 38 insertions, 0 deletions
diff --git a/share/hydra/list-sites b/share/hydra/list-sites
index e69de29..3778e8b 100755
--- a/share/hydra/list-sites
+++ b/share/hydra/list-sites
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Parameters
+BASENAME="`basename $0`"
+LAYER="$1"
+DOMAIN="`hydra $HYDRA config domain`"
+
+# Checks
+if [ -z "$LAYER" ]; then
+ echo "usage: $BASENAME <node>"
+ exit 1
+elif [ -z "$DOMAIN" ]; then
+ echo "Please set 'domain' at $HYDRA hydra config."
+ exit 1
+fi
+
+# This is crude but we're in a hurry!
+if [ -e "$PUPPET/manifests/classes/websites.pp" ]; then
+ cat $PUPPET/manifests/classes/websites.pp | perl -pe 's/[,:]\n$//;' | grep $LAYER | grep apache::site | cut -d '"' -f 2
+fi